Subject: Re: Last Call: <draft-ietf-dhc-subnet-alloc-12.txt> (Subnet Allocation Option) to Informational RFC

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 08 Jun 2011 16:29:54 +0200

I have read parts of the document and I find it ok.

> The DHCP Server SHOULD allocate a subnet with prefix size less than
> or equal to the size P specified in the request.  In other words, a
> subnet at least the size requested and possibly bigger.

I agree, but "prefix size less than or equal to the size P" is not very
clear, because (1) there is no "P" in the request but "Prefix", "size"
is hard to understand, etc.  Maybe it should say "the length of the
allocated prefix should have a value non-zero and less than or equal to
value Prefix in the Request; e.g. if the Request demands a prefix of
length 4 the response MUST be of length any of 1, 2, 3 or 4".

There is another point which I think is not discussed in this draft.
Contrary to allocation of an address, always the Relay and sometimes the
Server _must_ update their forwarding/routing tables, according to a
specific rule [subnet,IPaddress], when this allocation of a subnet
prefix is performed - otherwise packet forwarding won't work (packets
don't reach the Host allocated an address from this prefix).

typo " qis " on page 4.

Alex

Le 08/06/2011 15:39, The IESG a écrit :
>
> The IESG has received a request from the Dynamic Host Configuration
> WG (dhc) to consider the following document: - 'Subnet Allocation
> Option' <draft-ietf-dhc-subnet-alloc-12.txt>  as an Informational
> RFC
>
> The IESG plans to make a decision in the next few weeks, and
> solicits final comments on this action. Please send substantive
> comments to the [email-masked] mailing lists by 2011-06-22.
> Exceptionally, comments may be sent to [email-masked] instead. In
> either case, please retain the beginning of the Subject line to allow
> automated sorting.
>
> Abstract
>
>
> This document defines a new DHCP option which is passed between the
> DHCP Client and the DHCP Server to request dynamic allocation of a
> subnet, give specifications of subnet(s) allocated, and report usage
> statistics.  This memo documents the current usage of the option in
> agreement with [RFC3942], which declares that any pre-existing
> usages of option numbers in the range 128 - 223 should be documented
> and the working group will try to officially assign those numbers to
> those options.
>
>
>
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-dhc-subnet-alloc/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-dhc-subnet-alloc/
>
>
> The following IPR Declarations may be related to this I-D:
>
> http://datatracker.ietf.org/ipr/811/
>
>
>
> _______________________________________________ IETF-Announce mailing
> list [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>